## Package org.exist.security

Security related classes.

See:
Description

Interface Summary
SecurityManager: SecurityManager is responsible for managing users and groups.
XmldbPrincipal

Class Summary
Base64Coder: A Base64 Encoder/Decoder.
Group
LDAPbindSecurityManager: Code to use LDAP's bind to authenticate technology
LDAPSecurityManager: Note: A lot of this code is "borrowed" from Tomcat's JNDIRealm.java
MD5
Permission: Manages the permissions assigned to a ressource.
User: Represents a user within the database.
XMLSecurityManager: SecurityManager is responsible for managing users and groups.

Exception Summary
PermissionDeniedException: Description of the Class

## Package org.exist.security Description

Security related classes. The main class is `SecurityManager` which manages users and groups.

Copyright (C) Wolfgang Meier. All rights reserved.